<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-557"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%E7%B1%BB%E6%88%90%E5%91%98%20-%20%E5%87%BD%E6%95%B0"></a><title>XHXKit: 类成员 - 函数</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&nbsp;

<h3><a id="index_s"></a>- s -</h3><ul>
<li>safe_addObject:
: <a class="el" href="category_n_s_mutable_array_07_x_h_x_safe_08.html#abfd056401ee30385ea22da38b62c195f">NSMutableArray(XHXSafe)</a>
</li>
<li>safe_insertObject:atIndex:
: <a class="el" href="category_n_s_mutable_array_07_x_h_x_safe_08.html#a25d0a50bb74d81ef92f4f5cc0d1cdfd5">NSMutableArray(XHXSafe)</a>
</li>
<li>safe_objectAtIndex:
: <a class="el" href="category_n_s_array_07_x_h_x_safe_08.html#a0b32e05889ce3f97f75e65868c4a83b8">NSArray(XHXSafe)</a>
</li>
<li>safe_setObject:forKey:
: <a class="el" href="category_n_s_mutable_dictionary_07_x_h_x_safe_08.html#a857aae19cd120d8dd38e94e0db4c1b53">NSMutableDictionary(XHXSafe)</a>
</li>
<li>safetyAddObject:
: <a class="el" href="interface_x_h_x_set.html#a9b47ba56dbc09de12855b491aa8595f9">XHXSet</a>
</li>
<li>saveTabBarTipShowStep:
: <a class="el" href="interface_main_tab_tip_window_manager.html#abf100d90faa85ac1b81f45120a648c08">MainTabTipWindowManager</a>
</li>
<li>seekToTime:
: <a class="el" href="interface_k_k_l_audio_player.html#a3a98a1dadd21b13b84ab7a8c65700cca">KKLAudioPlayer</a>
</li>
<li>selectedItem
: <a class="el" href="interface_x_h_x_tabbar.html#acfd1ca9501397500ff3b4dfb2ef6ce15">XHXTabbar</a>
</li>
<li>selectedRowInComponent:
: <a class="el" href="interface_x_h_x_picker_view.html#ad0db2a0c7bc4ac7af408ecb6618eca11">XHXPickerView</a>
</li>
<li>selectRow:inComponent:animated:
: <a class="el" href="interface_x_h_x_picker_view.html#a94bb9102ce10d2ebae11bc08d6b36d7e">XHXPickerView</a>
</li>
<li>set
: <a class="el" href="interface_x_h_x_set.html#a3c38779ed4af32ef379f933d4b4e4f11">XHXSet</a>
</li>
<li>setBadgeView:size:alignment:insets:
: <a class="el" href="category_u_i_view_07_k_k_l_badge_view_08.html#a2976a4bb937bde16cae0fc6f4cd78e7a">UIView(KKLBadgeView)</a>
</li>
<li>setContentHorizontalCenterWithVerticalOffset:spacing:
: <a class="el" href="interface_x_h_x_tab_item.html#af08855858ad353e76322dd1cd3348c30">XHXTabItem</a>
</li>
<li>setDefaultScore:
: <a class="el" href="interface_k_k_l_score_evaluate_v_iew.html#ae24c79085311df8d9e0bdc1d6732cc4c">KKLScoreEvaluateVIew</a>
</li>
<li>setDotBadgeMarginTop:centerMarginRight:sideLength:
: <a class="el" href="interface_x_h_x_tabbar.html#a447abd7695d499b7a92fdd752df9b298">XHXTabbar</a>
, <a class="el" href="interface_x_h_x_tab_item.html#acafe9be94e42370b3e9ec19eaa85dc8e">XHXTabItem</a>
</li>
<li>setHidden:animated:
: <a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#a542449d60370c2a81e1969a34958630e">UIView(FadeInFadeOut)</a>
</li>
<li>setHidden:animated:completed:
: <a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#adf08c8bed352629b6044526e5f28c47e">UIView(FadeInFadeOut)</a>
</li>
<li>setImageURL:
: <a class="el" href="category_u_i_image_view_07_k_o_web_image_08.html#a3a96530d67ac647e4cbcd6c899633c42">UIImageView(KOWebImage)</a>
</li>
<li>setImageURL:placeholder:
: <a class="el" href="category_u_i_image_view_07_k_o_web_image_08.html#accb6279002b24aea29bc9d0a0678daf1">UIImageView(KOWebImage)</a>
</li>
<li>setIndicatorInsets:tapSwitchAnimated:
: <a class="el" href="interface_x_h_x_tabbar.html#a2f3d7862d354fbc676faf051a30a5de3">XHXTabbar</a>
</li>
<li>setIndicatorPosition:tapSwitchAnimated:
: <a class="el" href="interface_x_h_x_tabbar.html#a3120365b63b1ca225322ac8dbbba1bf6">XHXTabbar</a>
</li>
<li>setIndicatorSize:tapSwitchAnimated:
: <a class="el" href="interface_x_h_x_tabbar.html#a84895d39031a0af0f7e9c60cee8c589a">XHXTabbar</a>
</li>
<li>setIndicatorWidthFixTextAndMarginTop:marginBottom:tapSwitchAnimated:
: <a class="el" href="interface_x_h_x_tabbar.html#a04b146d2d9a00eea9029c0760d645dff">XHXTabbar</a>
</li>
<li>setItemContentHorizontalCenterWithVerticalOffset:spacing:
: <a class="el" href="interface_x_h_x_tabbar.html#acf0eeac5ee883e0eaca1b58139b10e04">XHXTabbar</a>
</li>
<li>setLineSpace:
: <a class="el" href="category_u_i_label_07_extension_08.html#a261c54c72351b6fdf33c69e2401ecf3a">UILabel(Extension)</a>
</li>
<li>setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:
: <a class="el" href="interface_x_h_x_tabbar.html#a85c939bc6e654d12c1a809486e74f40e">XHXTabbar</a>
, <a class="el" href="interface_x_h_x_tab_item.html#a762d7260bc1070fad3031967aa8b6b90">XHXTabItem</a>
</li>
<li>setRefreshTitle:actionBlock:
: <a class="el" href="interface_x_h_x_text_blank_view.html#a0dc7e6cfcccfb31cb4f957efca2b9cb5">XHXTextBlankView</a>
</li>
<li>setRefreshTitle:target:action:
: <a class="el" href="interface_x_h_x_text_blank_view.html#a74bd95cf015d95c27348cedf5588f2b3">XHXTextBlankView</a>
</li>
<li>setScrollEnabledAndItemFitTextWidthWithSpacing:
: <a class="el" href="interface_x_h_x_tabbar.html#a7d2b891b6c4149ed725c7d6060e0eb0f">XHXTabbar</a>
</li>
<li>setScrollEnabledAndItemFitTextWidthWithSpacing:minWidth:
: <a class="el" href="interface_x_h_x_tabbar.html#ad35ad078a3b2bc98d5684d4d403f488e">XHXTabbar</a>
</li>
<li>setScrollEnabledAndItemWidth:
: <a class="el" href="interface_x_h_x_tabbar.html#a8e637221e2895597c5549fc5bd24e75d">XHXTabbar</a>
</li>
<li>setTabbarItem:imageName:
: <a class="el" href="interface_x_h_x_navigation_controller.html#a996a0ac98c48c3dc35b183117e01f357">XHXNavigationController</a>
</li>
<li>setTabItemsVerticalLayout
: <a class="el" href="interface_x_h_x_tabbar.html#a084470d2209a9b1dbd3c006f24fe1d0a">XHXTabbar</a>
</li>
<li>setTabItemsVerticalLayoutWithItemHeight:
: <a class="el" href="interface_x_h_x_tabbar.html#a5e59707edd0d9a341634d9b8b572d993">XHXTabbar</a>
</li>
<li>setText:lineSpace:
: <a class="el" href="category_u_i_label_07_extension_08.html#ab3c4dd7dcf3104e153de148485d416cc">UILabel(Extension)</a>
</li>
<li>setTitles:
: <a class="el" href="interface_x_h_x_tabbar.html#abe90e67ab18946cc5324b5543627f55d">XHXTabbar</a>
</li>
<li>setupProgress:values:
: <a class="el" href="interface_x_h_x_cake_view.html#a66f385b2cfb86077add347e96064ff75">XHXCakeView</a>
</li>
<li>setupSubviews
: <a class="el" href="interface_k_o_custome_cell.html#ab6bde4825941450ea46c1eb4ffd4800b">KOCustomeCell</a>
</li>
<li>setupSubViews
: <a class="el" href="interface_x_h_x_blank_view.html#afb4aeea762e27b04d41132d401d69685">XHXBlankView</a>
</li>
<li>showDotView
: <a class="el" href="category_u_i_tab_bar_item_07_dot_view_08.html#adb8845d14d0853b729d579976ff119ac">UITabBarItem(DotView)</a>
</li>
<li>showedTabBarTip
: <a class="el" href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">MainTabTipWindowManager</a>
</li>
<li>showInView:animated:
: <a class="el" href="interface_x_h_x_blank_view.html#ae7d5dcd4b697e9ca3d9610255efb64e1">XHXBlankView</a>
</li>
<li>showOnView:
: <a class="el" href="interface_x_h_x_picker_view.html#aaabee5b84c4cedccd5da1c992f4ab975">XHXPickerView</a>
</li>
<li>showTipViewWithTip:directionType:dotReact:emptyReact:
: <a class="el" href="interface_beginner_tips_manager.html#ac5223a758aecf7155dd0d77b2dfbd824">BeginnerTipsManager</a>
</li>
<li>showTipViewWithTitle:dotPoint:emptyReact:
: <a class="el" href="interface_main_tab_tip_window_manager.html#a7d57e1f3cc9ea664b09cee4ce26bd252">MainTabTipWindowManager</a>
</li>
<li>showToastForError:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a2ac014c9af6ac92c134c161aedc339e9">UIView(KOToast)</a>
</li>
<li>showToastForErrorMessage:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a7a67a84587388b3e60393d2012e2c5bf">UIView(KOToast)</a>
</li>
<li>showToastForInfo:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a2a9c233c9af21aa7548173b4ac3c70ea">UIView(KOToast)</a>
</li>
<li>showToastForLiveLessonLoading
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a13ee48ad84ddd4f37a7eeac9ae79e842">UIView(KOToast)</a>
</li>
<li>showToastForLoading:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a9bb5c794272bb370b4dc1590d36f0fb2">UIView(KOToast)</a>
</li>
<li>showToastForSuccess:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#af2afa4a59bf2a2ced705efe57588cf47">UIView(KOToast)</a>
</li>
<li>showToastForSuccessWithTitle:desc:
: <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a9cab42ced6cea459c2848e9d98c5e5d5">UIView(KOToast)</a>
</li>
<li>sizeWithWidth:font:
: <a class="el" href="category_n_s_string_07_k_o_extension_08.html#aaae452f4bc1e18a9487b4801f6a40e6c">NSString(KOExtension)</a>
</li>
<li>stringObjectForKey:
: <a class="el" href="category_n_s_dictionary_07_params_08.html#a16188acc3c9e2bc526f0aa4c28842e74">NSDictionary(Params)</a>
</li>
<li>stringWithHHMMSSFormatFromDuration:
: <a class="el" href="category_n_s_string_07_time_extension_08.html#a14a07a1c843ec274c2e9670961d73e2d">NSString(TimeExtension)</a>
</li>
<li>stringWithParagraphlineSpeace:paragraphSpacing:textColor:textFont:
: <a class="el" href="category_n_s_string_07_attributed_string_08.html#a6b282a978d1a7d8aafce8631c2827013">NSString(AttributedString)</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>